! John Kerl
! 1998
program formats
   implicit none
   double precision d
   double precision e
   complex c
   
   d = 1.0e+14
   e = 2.0e-11
   c = cmplx(d, e)
   
   write(*,'(a e11.4)')        'd  is  ', d
   write(*,'(a e11.4)')        'e  is  ', e
   write(*, 10)                'c  is ', c
   write(*, '(a,2(e13.6,2x))') 'c  is ', c
   write(*,'(a e11.4)')        'cr is ', real(c)
   write(*,'(a e11.4)')        'ci is ', aimag(c)
   
   10 format(a,2(e13.6,2x))
   
end  ! program formats
